
Foreman - Feature #27644

Check a user's permission before allowing them to access react pages 

08/16/2019 08:19 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6979

  

Description

Currently we allow users to visit pages they don't have access to.  If a user doesn't have permission to view a page we shouldn't

allow them to view it.

To be used in concert with Katello issue #27450

Related issues:

Copied from Katello - Feature #27450: Check a user's permission before allowi... Closed

Associated revisions

Revision 8e111f83 - 08/31/2019 12:38 PM - Jeremy Lenz

Fixes #27644: Add PermissionDenied component

add missing_permissions to rabl view

Implement PR review suggestions

Add index.js

Add tests & snaps

Add ForemanLink component

Add storybook page (couldn't test due to 27531 not merged)

update snapshot

move storybook to Components level

exclude static storybook from git

switch back to just using <a>

update snaps

pass strings literal to translate

Update test to use testComponentSnapshotsWithFixtures

remove old test

remove .gitignore line per walden comment

History

#1 - 08/16/2019 08:19 PM - Jeremy Lenz

- Copied from Feature #27450: Check a user's permission before allowing them to access react pages  added

#2 - 08/16/2019 09:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6979 added

#3 - 08/16/2019 09:12 PM - Jeremy Lenz

- Pull request deleted (https://github.com/theforeman/foreman/pull/6979)

#4 - 08/16/2019 09:51 PM - Walden Raines

- Pull request https://github.com/theforeman/foreman/pull/6979 added

- Pull request deleted (https://github.com/Katello/katello/pull/8262)
#5 - 08/31/2019 12:38 PM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#6 - 08/31/2019 01:01 PM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset 8e111f83470c960c356e2ce1de0231c46da273c8.

#7 - 10/24/2019 12:22 PM - Amit Upadhye

- Category set to JavaScript stack
